import { LockedData } from '../locked-data';
import { StateStream } from '../state-stream';
export type Flow = {
    id: string;
    name: string;
};
export declare class FlowsStream extends StateStream<Flow> {
    private readonly lockedData;
    constructor(lockedData: LockedData);
    get(id: string): Promise<Flow | null>;
    update(id: string, data: Flow): Promise<Flow | null>;
    delete(id: string): Promise<Flow | null>;
    create(_: string, data: Flow): Promise<Flow>;
    getList(): Promise<Flow[]>;
    getGroupId(): string;
}
